import traceback
from xvm import damageLog

# extraAim
from xvm import extraaim
	
@xvm.export('xvm.aimFactorNow',deterministic=False)
def aimFactorNow():
	return '{0:.2f}'.format(extraaim.aimFactorNow()*100)

@xvm.export('xvm.aimTimeAll',deterministic=False)
def aimTimeAll():
	return '{0:.1f}'.format(extraaim.aimTimeAll())

@xvm.export('xvm.aimTimeRemain',deterministic=False)
def aimTimeRemain():
	return '{0:.1f}'.format(extraaim.aimTimeRemain())
	
@xvm.export('xvm.realDistance',deterministic=False)
def realDistance():
	return '{0:.0f}'.format(extraaim.realDistance())
	
@xvm.export('xvm.offset',deterministic=False)
def offset():
	return '{0:.1f}'.format(extraaim.offset())
	
@xvm.export('xvm.flyTime',deterministic=False)
def flyTime():
	return '{0:.1f}'.format(extraaim.flyTime())
	
#reload
from xvm import reload
@xvm.export('xvm.leftList',deterministic=False)
def leftList():
	return reload.getLeftList()
	
@xvm.export('xvm.rightList',deterministic=False)
def rightList():
	return reload.getRightList()
	
from xvm import aimingposition
@xvm.export('xvm.aimpos',deterministic=False)
def refreshAimPos():
	aimingposition.posManager.refreshList()
	return ''